Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.script.prop
Class PropertyConstraints

    java.lang.Object
      org.encog.app.analyst.script.prop.PropertyConstraints

    public final class PropertyConstraints

extends Object

Holds constant type information for each of the properties that the script might have. This constant information allows values to be validated. This class is a singleton.

Method Summary
`PropertyEntry` | `findEntry(String v)` Find an entry based on a string.
`List<PropertyEntry>` | `getEntries(String section, String subSection)` Get all entries for a section/subsection.
`PropertyEntry` | `getEntry(String section, String subSection, String name)` Get a single property entry.
`static PropertyConstraints` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PropertyConstraints getInstance()

  Returns:
    The instance.

### findEntry

    public PropertyEntry findEntry(String v)

  Find an entry based on a string.

  Parameters:
    `v` - The property to find.
  Returns:
    The property entry data.

### getEntries

    public List<PropertyEntry> getEntries(String section,
                                          String subSection)

  Get all entries for a section/subsection.

  Parameters:
    `section` - The section to find.
    `subSection` - The subsection to find.
  Returns:
    A list of property entries.

### getEntry

    public PropertyEntry getEntry(String section,
                                  String subSection,
                                  String name)

  Get a single property entry. If the section and subsection do not exist, an error is thrown.

  Parameters:
    `section` - The section.
    `subSection` - The subsection.
    `name` - The name of the property.
  Returns:
    The property entry, or null if not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.